Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 655658 - dblatex not found, pdf documents not built
Summary: dblatex not found, pdf documents not built
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: postgis
Version: 14
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-22 04:58 UTC by Zenon Panoussis
Modified: 2012-08-16 18:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:00:19 UTC
Type: ---


Attachments (Terms of Use)

Description Zenon Panoussis 2010-11-22 04:58:34 UTC
Description of problem:

===
psql (8.4.4)
Type "help" for help.

osm=# select * from osm_roads where name like '%MIDC Road%';
ERROR:  could not access file "$libdir/liblwgeom": No such file or directory
===

And indeed, liblwgeom is not present. Rebuilding the src.rpm gives the following errors from autoconf:

checking for dblatex... no
configure: WARNING: dblatex is not installed so PDF documentation cannot be built
checking CUnit/CUnit.h usability... no
checking CUnit/CUnit.h presence... no
checking for CUnit/CUnit.h... no
configure: WARNING: could not locate CUnit required for liblwgeom unit tests

liblwgeom neither gets installed nor packaged. As a result, the entire postgis package becomes useless for its purpose. I don't know whether this is a packaging (buildreq) or a makefile (upstream) issue. 

The dblatex issue is really a separate bug. A "buildreq: tetex-tex4ht" is probably needed, but not sufficient by itself. The warning appears even when dblatex is present on the system.

Comment 1 Zenon Panoussis 2010-11-23 02:22:26 UTC
The liblwgeom problem is a db/postgis version issue and not a build error after all: http://comments.gmane.org/gmane.comp.gis.postgis/25591 .

I'm leaving the bug open anyway because of the dblatex issue. Severity needs to go down though.

Comment 2 Fedora End Of Life 2012-08-16 18:00:21 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.